org.springframework.beans

## Class FatalBeanException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - java.lang.RuntimeException
      - - org.springframework.core.NestedRuntimeException
        - - org.springframework.beans.BeansException
          - - org.springframework.beans.FatalBeanException

- All Implemented Interfaces:
    Serializable
  Direct Known Subclasses:
    ApplicationContextException, BeanCreationException, BeanDefinitionStoreException, BeanDefinitionValidationException, BeanExpressionException, BeanInitializationException, BeanInstantiationException, BootstrapException, CannotLoadBeanClassException, FactoryBeanNotInitializedException, InvalidPropertyException

      public class FatalBeanException
      extends BeansException

  Thrown on an unrecoverable problem encountered in the beans packages or sub-packages, e.g. bad class or field.
  Author:
    Rod Johnson
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FatalBeanException(String msg)` Create a new FatalBeanException with the specified message.
    `FatalBeanException(String msg, Throwable cause)` Create a new FatalBeanException with the specified message and root cause.

  - ### Method Summary

    - ### Methods inherited from class org.springframework.beans.BeansException

      `equals, hashCode`

    - ### Methods inherited from class org.springframework.core.NestedRuntimeException

      `contains, getMessage, getMostSpecificCause, getRootCause`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### FatalBeanException

          public FatalBeanException(String msg)

      Create a new FatalBeanException with the specified message.
      Parameters:
        `msg` - the detail message

    - #### FatalBeanException

          public FatalBeanException(String msg,
                                    Throwable cause)

      Create a new FatalBeanException with the specified message and root cause.
      Parameters:
        `msg` - the detail message
        `cause` - the root cause